## makefile.win32 (libtxi)				-*- Makefile -*-
##

srcdir = .

AR = lib

DEFS = -DHAVE_CONFIG_H

CFLAGS = 
LDFLAGS = 

SRCS =  getopt.c getopt1.c getopt.h xmalloc.c xstrdup.c
OBJS =  getopt.obj getopt1.obj xmalloc.obj xstrdup.obj $(ALLOCA) $(LIBOBJS)

PROGS = libtxi.lib

.c.obj:
	$(CC) -c $(CPPFLAGS) -I. -I.. -I$(srcdir) $(DEFS) $(CFLAGS) -MD -O2 $<

all: $(PROGS)

libtxi.lib: $(OBJS)
	-del $@
	$(AR) -out:$@ $(OBJS)

getopt.obj: getopt.c getopt.h
getopt1.obj: getopt1.c getopt.h
alloca.obj: alloca.c

install: all
uninstall:

TAGS: $(SRCS)
	etags $(SRCS)

clean:
	-del *.lib
	-del *.obj

mostlyclean: clean

distclean: clean
	rm -f Makefile config.status TAGS ID

realclean: distclean
